Examples don’t compile with new Processing 1.5

Store Forums Processing Layers Bugs/Problems Examples don’t compile with new Processing 1.5

This topic contains 3 replies, has 2 voices, and was last updated by  Michael 8 years, 4 months ago.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #419

    asparagus
    Member

    Hi Micheal,

    there is a Problem using Processing 1.5.

    The Demo Sketch SimpleAnimation produce an error:

    super.paint();

    “The method paint(Graphics) in the type PApplet is not applicable for the Arguments ()”

    Is there a practical Solution, or will you update the, really usefull, library?

    Thanks
    asparagus

    #1049

    Michael
    Keymaster

    Thanks for the info, I’ll have to take a look. I haven’t done much with Processing Layers lately, so I need to dust it off and see if I can provide a fix. I wasn’t sure anyone was actually using Processing Layers!

    #913

    Michael
    Keymaster

    Processing 1.5 seems to have made changes to the paint() signature. To make sketches work with 1.5, use a paint method like this:

    void paint(java.awt.Graphics g) {
    if (layers != null) {
    layers.paint(this);
    } else {
    super.paint(this.getGraphics());
    }
    }
    #878

    asparagus
    Member

    Hi Michael,

    thanks a lot.

    asparagus

Viewing 4 posts - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.